OpenPose 1.0.0rc2 OpenPose: A Real-Time Multi-Person Key-Point Detection And Multi-Threading C++ Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | List of all members
op::WKeepTopNPeople< TDatums > Class Template Reference

`#include <wKeepTopNPeople.hpp>`

Inherits op::Worker< TDatums >.

## Public Member Functions
| WKeepTopNPeople (const std::shared_ptr< KeepTopNPeople > &keepTopNPeople)
virtual | ~WKeepTopNPeople ()
void | initializationOnThread ()
void | work (TDatums &tDatums)
Public Member Functions inherited from op::Worker< TDatums >
| Worker ()
virtual | ~Worker ()
bool | checkAndWork (TDatums &tDatums)
bool | isRunning () const
void | stop ()
virtual void | tryStop ()

## Additional Inherited Members

## Constructor & Destructor Documentation

template<typename TDatums >

op::WKeepTopNPeople< TDatums >::WKeepTopNPeople | ( | const std::shared_ptr< KeepTopNPeople > & | keepTopNPeople | ) |
| explicit

template<typename TDatums >

op::WKeepTopNPeople< TDatums >::~WKeepTopNPeople | ( |  | ) |
| virtual

## Member Function Documentation

template<typename TDatums >

void op::WKeepTopNPeople< TDatums >::initializationOnThread | ( |  | ) |
| virtual

Implements op::Worker< TDatums >.

template<typename TDatums >

void op::WKeepTopNPeople< TDatums >::work | ( | TDatums & | tDatums | ) |
| virtual

Implements op::Worker< TDatums >.

The documentation for this class was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/core/wKeepTopNPeople.hpp